summaryrefslogtreecommitdiff
path: root/dev-ruby
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/activesupport/activesupport-7.2.2.2.ebuild2
-rw-r--r--dev-ruby/asciidoctor/Manifest1
-rw-r--r--dev-ruby/asciidoctor/asciidoctor-2.0.24.ebuild62
-rw-r--r--dev-ruby/bigdecimal/bigdecimal-3.2.3.ebuild2
-rw-r--r--dev-ruby/sdoc/Manifest1
-rw-r--r--dev-ruby/sdoc/sdoc-2.6.4.ebuild32
6 files changed, 98 insertions, 2 deletions
diff --git a/dev-ruby/activesupport/activesupport-7.2.2.2.ebuild b/dev-ruby/activesupport/activesupport-7.2.2.2.ebuild
index 639a7eba7d9b..bcfd594a5087 100644
--- a/dev-ruby/activesupport/activesupport-7.2.2.2.ebuild
+++ b/dev-ruby/activesupport/activesupport-7.2.2.2.ebuild
@@ -19,7 +19,7 @@ SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz
LICENSE="MIT"
SLOT="$(ver_cut 1-2)"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
IUSE="+msgpack test"
REQUIRED_USE="test? ( msgpack )"
diff --git a/dev-ruby/asciidoctor/Manifest b/dev-ruby/asciidoctor/Manifest
index bcc66dd7e36b..4c855394df1f 100644
--- a/dev-ruby/asciidoctor/Manifest
+++ b/dev-ruby/asciidoctor/Manifest
@@ -1 +1,2 @@
DIST asciidoctor-2.0.23.tar.gz 1708942 BLAKE2B 870b0ea5be05ae4b2d91d7cfcf4d81b36f443740b591b8fd4f9bb547647cb777c5d9b03eb7982f84e6ac84ce5af3c9161a21e4d82ae56c70afd6ce138629675b SHA512 eeb6ef3268f8df2881fafccdb88480f203365d423f53ec9a42c3e9a91a6ec2d20048150019366a71ba0b2a9a0a90a6752fa7342ce558609ff8c242418e2f29c0
+DIST asciidoctor-2.0.24.tar.gz 1712755 BLAKE2B d47b77efd671493d8cfea5478077091b834e9e121f371df80c3b0ad4655a4b4c38487a1e3b9ea011998c3ee3d24e866b77ea04fc1a1fac8510d4fa705fce926c SHA512 8ffffb59a3931cc54652e8a75352cab552ec1cd43bbaf5f01bfa51b37c4fca32aefa6f7a3e5e4ff0ef1b345a2c49075adbc867cb78a49c783d803cc629adbdaf
diff --git a/dev-ruby/asciidoctor/asciidoctor-2.0.24.ebuild b/dev-ruby/asciidoctor/asciidoctor-2.0.24.ebuild
new file mode 100644
index 000000000000..2ea631c5a4ec
--- /dev/null
+++ b/dev-ruby/asciidoctor/asciidoctor-2.0.24.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_TASK_TEST="CUCUMBER_PUBLISH_QUIET=true test features"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.adoc README.adoc"
+
+RUBY_FAKEGEM_EXTRAINSTALL="data"
+
+RUBY_FAKEGEM_GEMSPEC="asciidoctor.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Processor for converting AsciiDoc into HTML 5, DocBook 4.5 and other formats"
+HOMEPAGE="https://github.com/asciidoctor/asciidoctor"
+SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~x86"
+IUSE="test"
+
+ruby_add_bdepend "test? (
+ dev-util/cucumber
+ dev-ruby/rspec-expectations:*
+ dev-ruby/asciimath
+ dev-ruby/coderay
+ dev-ruby/concurrent-ruby
+ dev-ruby/erubi
+ dev-ruby/haml:6
+ dev-ruby/nokogiri
+ dev-ruby/rouge
+ dev-ruby/slim
+ dev-ruby/tilt )"
+
+all_ruby_prepare() {
+ rm Gemfile || die
+
+ sed -e "s:_relative ': './:" \
+ -e 's/git ls-files -z/find * -print0/' \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+
+ # Avoid broken blocks_test.rb (already appears to be fixed upstream)
+ rm -f test/blocks_test.rb || die
+
+ # Avoid test depending on haml 6 binary which we currently don't install.
+ sed -e '/should \(load\|locate\) custom templates/askip "wrong haml binary"' \
+ -i test/invoker_test.rb || die
+
+ # Add missing require for URI
+ sed -e "/nokogiri/arequire 'uri'" \
+ -i test/test_helper.rb || die
+}
+
+all_ruby_install() {
+ all_fakegem_install
+
+ doman man/asciidoctor.1
+}
diff --git a/dev-ruby/bigdecimal/bigdecimal-3.2.3.ebuild b/dev-ruby/bigdecimal/bigdecimal-3.2.3.ebuild
index ad8f4c92730e..087b6cec7bac 100644
--- a/dev-ruby/bigdecimal/bigdecimal-3.2.3.ebuild
+++ b/dev-ruby/bigdecimal/bigdecimal-3.2.3.ebuild
@@ -18,7 +18,7 @@ SRC_URI="https://github.com/ruby/bigdecimal/archive/v${PV}.tar.gz -> ${P}.tar.gz
LICENSE="|| ( Ruby-BSD BSD-2 )"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~mips ppc ~ppc64 ~riscv ~s390 ~sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
IUSE="test"
ruby_add_bdepend "test? ( dev-ruby/test-unit dev-ruby/test-unit-ruby-core )"
diff --git a/dev-ruby/sdoc/Manifest b/dev-ruby/sdoc/Manifest
index 73293c0ddba3..6be5ebdc317c 100644
--- a/dev-ruby/sdoc/Manifest
+++ b/dev-ruby/sdoc/Manifest
@@ -1,3 +1,4 @@
DIST sdoc-1.1.0.gem 269312 BLAKE2B d830a0477bb2a46f8f4c08b0249293ca56d5a398eab36dd1a91f4fdb134611065053f1d445697f249be3fb2d672f2ed95a462f045c953b48e9bdfd30b147a675 SHA512 7bd6bc4725b020adb504ec5c2cbc7387f46e8cddc8c3be5643c1808f203d0663326958c2d039fbb3c384369be1ff1363c162c8868b8906605de76a1e60a3c0a1
DIST sdoc-2.6.1.gem 292352 BLAKE2B 2d271694a8b8d8abacd757a3d8b2d616011e0b810e727869ad8ff29f0b0ccbf9ecc7922aaac5ed76776e3336185839bd6f565ae2ecc7d3ee3956d18181f0c901 SHA512 b303b76aad30dccb35ad0e4e78f19a49cdf80a24007563facbc6e16ac185e5142dad0da694071459003be78b448c93649280f91b38d28462756ba159cf8038e8
DIST sdoc-2.6.2.gem 292864 BLAKE2B f91e79acbd50eee904f07dae6a016af2897b341f880e6cc5962d24f72a284a932398c1307ac31da22c05999f8789b3ff5db10b87f5857d2b32a25a256f40c7ac SHA512 5cf777d78a12e44f5083a96ebabd26dc036fc0916bbbeb2c324596b83f98bf9ecb1ce743ea5958d6a5bfc4fc658c2cff8e3aeafe7bfa5632109c75eb7d5c1659
+DIST sdoc-2.6.4.gem 292864 BLAKE2B 87d1dc178804e6fcda010892d3a01e19d7c99120862a199a9c88cc20b316e3e41b198d0faeb9b26c6d8da4561d494b690ee831ebd7b7cd1778a060f9fd31bdbb SHA512 edf50c710098e5481fac27de7ca6c3755c28fb57261a1d757a0708a1f5eb5439152a1a1d3577ee5820753ca44bda997da3866d83b7b59d1e146105c7a743d3a1
diff --git a/dev-ruby/sdoc/sdoc-2.6.4.ebuild b/dev-ruby/sdoc/sdoc-2.6.4.ebuild
new file mode 100644
index 000000000000..c59cb2aacf80
--- /dev/null
+++ b/dev-ruby/sdoc/sdoc-2.6.4.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34"
+
+inherit ruby-fakegem
+
+DESCRIPTION="rdoc generator html with javascript search index"
+HOMEPAGE="https://rubygems.org/gems/sdoc"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~riscv ~sparc ~x86"
+
+ruby_add_rdepend ">=dev-ruby/rdoc-5.0"
+
+ruby_add_bdepend "test? ( dev-ruby/minitest )"
+
+all_ruby_prepare() {
+ sed -i -e '/git ls-files/ s:^:#:' sdoc.gemspec || die
+
+ sed -i -e '/bundler/I s:^:#:' Rakefile spec/spec_helper.rb || die
+
+ # Avoid spec that appears to be broken with newer rdoc versions.
+ sed -i -e '/should display SDoc version/askip' spec/rdoc_generator_spec.rb || die
+}
+
+each_ruby_test() {
+ ${RUBY} -I lib:spec:. -e 'Dir["spec/*_spec.rb"].each { require _1 }' || die
+}